## gnome-builder 49.1

=== meson_options.txt ===
option('channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-beta', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('development', type: 'boolean', value: false, description: 'If this is a development build (org.gnome.Builder.Devel)')
option('tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')
option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
option('gnome_sdk_version', type: 'string', value: 'master', description: 'The GNOME SDK release to use for templates')
option('freedesktop_sdk_version', type: 'string', value: '23.08', description: 'The Freedesktop SDK release to use for templates')
option('help', type: 'boolean', value: false)
option('docs', type: 'boolean', value: false)
option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')
option('ctags_path', type: 'string', value: '')
option('webkit', type: 'feature', value: 'enabled', description: 'Enable features which require WebKit')

option('plugin_arduino', type: 'boolean')
option('plugin_autotools', type: 'boolean')
option('plugin_astro_language_server', type: 'boolean')
option('plugin_bash_language_server', type: 'boolean')
option('plugin_blueprint', type: 'boolean')
option('plugin_buildstream', type: 'boolean')
option('plugin_c_pack', type: 'boolean')
option('plugin_cargo', type: 'boolean')
option('plugin_clang', type: 'boolean')
option('plugin_clangd', type: 'boolean', value: false)
option('plugin_clang_format', type: 'boolean')
option('plugin_cmake', type: 'boolean')
option('plugin_codesearch', type: 'boolean')
option('plugin_codeshot', type: 'boolean')
option('plugin_css_preview', type: 'boolean')
option('plugin_codespell', type: 'boolean')
option('plugin_code_index', type: 'boolean')
option('plugin_copyright', type: 'boolean')
option('plugin_ctags', type: 'boolean')
option('plugin_deviced', type: 'boolean', value: false)
option('plugin_dspy', type: 'boolean')
option('plugin_dub', type: 'boolean')
option('plugin_editorconfig', type: 'boolean')
option('plugin_elixir_ls', type: 'boolean')
option('plugin_eslint', type: 'boolean')
option('plugin_file_search', type: 'boolean')
option('plugin_flatpak', type: 'boolean')
option('plugin_flake8', type: 'boolean')
option('plugin_gdb', type: 'boolean')
option('plugin_gdiagnose', type: 'boolean')
option('plugin_gettext', type: 'boolean')
option('plugin_git', type: 'boolean')
option('plugin_glsl_language_server', type: 'boolean')
option('plugin_golang', type: 'boolean')
option('plugin_gopls', type: 'boolean')
option('plugin_gradle', type: 'boolean')
option('plugin_grep', type: 'boolean')
option('plugin_hadolint', type: 'boolean')
option('plugin_html_completion', type: 'boolean')
option('plugin_html_preview', type: 'boolean')
option('plugin_intelephense', type: 'boolean')
option('plugin_jdtls', type: 'boolean')
option('plugin_jedi_language_server', type: 'boolean', value: false)
option('plugin_jhbuild', type: 'boolean')
option('plugin_lua_language_server', type: 'boolean')
option('plugin_make', type: 'boolean')
option('plugin_make_templates', type: 'boolean')
option('plugin_manuals', type: 'boolean')
option('plugin_markdown_preview', type: 'boolean')
option('plugin_markdown_indenter', type: 'boolean')
option('plugin_maven', type: 'boolean')
option('plugin_meson', type: 'boolean')
option('plugin_mesonlsp', type: 'boolean')
option('plugin_meson_templates', type: 'boolean')
option('plugin_modelines', type: 'boolean')
option('plugin_mono', type: 'boolean')
option('plugin_newcomers', type: 'boolean')
option('plugin_notification', type: 'boolean')
option('plugin_npm', type: 'boolean')
option('plugin_phpize', type: 'boolean')
option('plugin_podman', type: 'boolean')
option('plugin_pygi', type: 'boolean')
option('plugin_python_lsp_server', type: 'boolean')
option('plugin_qemu', type: 'boolean')
option('plugin_quick_highlight', type: 'boolean')
option('plugin_retab', type: 'boolean')
option('plugin_rstcheck', type: 'boolean')
option('plugin_rubocop', type: 'boolean')
option('plugin_ruff', type: 'boolean')
option('plugin_rust_analyzer', type: 'boolean')
option('plugin_serve_d', type: 'boolean')
option('plugin_shellcheck', type: 'boolean')
option('plugin_shellcmd', type: 'boolean')
option('plugin_sourcekit_lsp', type: 'boolean')
option('plugin_spellcheck', type: 'boolean')
option('plugin_sphinx_preview', type: 'boolean')
option('plugin_stylelint', type: 'boolean')
option('plugin_swift', type: 'boolean')
option('plugin_swiftformat', type: 'boolean')
option('plugin_swiftlint', type: 'boolean')
option('plugin_sysprof', type: 'boolean')
option('plugin_todo', type: 'boolean')
option('plugin_ts_language_server', type: 'boolean')
option('plugin_update_manager', type: 'boolean')
option('plugin_valac', type: 'boolean')
option('plugin_vala_indenter', type: 'boolean')
option('plugin_vala_language_server', type: 'boolean')
option('plugin_valgrind', type: 'boolean')
option('plugin_vhdl_language_server', type: 'boolean')
option('plugin_waf', type: 'boolean')
option('plugin_words', type: 'boolean')
option('plugin_xml_pack', type: 'boolean')
option('plugin_zls', type: 'boolean')

=== src/plugins/cmake/CMakeLists.txt ===
project(toolchain-info)
configure_file("toolchain-info.ini.cmake" "toolchain-info.ini" @ONLY)

=== src/plugins/make-templates/resources/Makefile ===
all: {{exec_name}}


{{if language == "c"}}
WARNINGS = -Wall
DEBUG = -ggdb -fno-omit-frame-pointer
OPTIMIZE = -O2

{{else if language == "c++"}}
WARNINGS = -Wall -Weffc++ -Wextra -Wsign-conversion -pedantic-errors
DEBUG = -ggdb -fno-omit-frame-pointer
OPTIMIZE = -O2
STANDARD = -std=c++2a
{{end}}

{{if language == "c"}}
{{exec_name}}: Makefile main.c
	$(CC) -o $@ $(WARNINGS) $(DEBUG) $(OPTIMIZE) main.c
{{else if language == "c++"}}
{{exec_name}}: Makefile main.cpp
	$(CXX) -o $@ $(WARNINGS) $(DEBUG) $(OPTIMIZE) $(STANDARD) main.cpp
{{end}}

clean:
	rm -f {{exec_name}}

# Builder will call this to install the application before running.
install:
	echo "Installing is not supported"

# Builder uses this target to run your application.
run:
	./{{exec_name}}

=== debian/changelog ===
gnome-builder (49.1-2) unstable; urgency=medium

  * Remove unnecessary Priority: optional field
  * Salsa CI: Remove explicit disabling of reprotest & piuparts
  * Update list of Flatpak architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 10:43:14 -0500

gnome-builder (49.1-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Build-Depends: libdevhelp-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 10:03:04 -0400

=== debian/control ===
Source: gnome-builder
Section: editors
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-python3,
               appstream,
               at-spi2-core <!nocheck>,
               ca-certificates <!nocheck>,
               dbus <!nocheck>,
               desktop-file-utils,
               exuberant-ctags,
               gobject-introspection (>= 1.74.0),
               libadwaita-1-dev (>= 1.8~alpha),
               libclang-dev,
               libcmark-dev (>= 0.29.0),
               libdex-dev (>= 0.7),
               libeditorconfig-dev,
               libenchant-2-dev,
               libflatpak-dev (>= 1.13.3-2~) [!alpha !hurd-any],
               libgirepository-1.0-dev (>= 1.74.0),
               libgit2-glib-1.0-dev (>= 1.1.0),
               libglib2.0-dev (>= 2.85.0),
               libgom-1.0-dev,
               libgtk-4-dev (>= 4.15.5),
               libgtksourceview-5-dev (>= 5.17),
               libjson-glib-dev (>= 1.2.0),
               libjsonrpc-glib-1.0-dev (>= 3.43.0),
               libpanel-dev (>= 1.7.0),
               libpango1.0-dev (>= 1.38.0),
               libpeas-2-dev (>= 1.99.0),
               libpolkit-gobject-1-dev (>= 0.105),
               libportal-dev (>= 0.5),
               libportal-gtk4-dev (>= 0.5),
               libsoup-3.0-dev,
               libspelling-1-dev (>= 0.4),
               libsysprof-6-dev (>= 45.0) [linux-any],
               libtemplate-glib-1.0-dev (>= 3.37),
               libvala-dev,
               libvte-2.91-gtk4-dev (>= 0.75.0),
               libwebkitgtk-6.0-dev,
               libxml2-dev (>= 2.9.0),
               libxml2-utils,
               libyaml-dev,
               llvm,
               llvm-dev,
               meson (>= 0.59.1),
               mm-common,
               python3-gi (>= 3.22.0),
               python3:any,
               valac (>= 0.40),
               valgrind-if-available,
               xauth <!nocheck>,
               xvfb <!nocheck>
# Don't (re)build libide api docs for now:
#               gi-docgen,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
Homepage: https://apps.gnome.org/Builder/

Package: gnome-builder
Architecture: any
Depends: clang,
         exuberant-ctags,
         gir1.2-json-1.0,
         gir1.2-jsonrpc-1.0 (>= 3.43.0),
         libvala-dev,
         python3-gi,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: build-essential,
            flatpak-builder [!alpha !hurd-any],
            gettext,
            meson,
            pkgconf,
            python3-lxml,
            valgrind-if-available
Suggests: rubocop
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 the platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

# Explicitly disable this plugin which defaults to enabled
# unless we're on linux architectures.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq (linux,$(DEB_HOST_ARCH_OS))
SYSPROF_PLUGIN = -Dplugin_sysprof=true
else
SYSPROF_PLUGIN = -Dplugin_sysprof=false
endif

# https://lists.debian.org/debian-devel/2022/02/msg00259.html
ifeq "$(shell which valgrind > /dev/null && echo true)" "true"
VALGRIND_PLUGIN = -Dplugin_valgrind=true
else
VALGRIND_PLUGIN = -Dplugin_valgrind=false
endif

# Enable Flatpak support on supported architectures
ifneq (,$(filter $(DEB_HOST_ARCH), alpha hurd-i386 hurd-amd64))
	FLATPAK_PLUGIN = -Dplugin_flatpak=false
else
	FLATPAK_PLUGIN = -Dplugin_flatpak=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dnetwork_tests=false \
		-Dplugin_update_manager=false \
		$(FLATPAK_PLUGIN) \
		$(SYSPROF_PLUGIN) \
		$(VALGRIND_PLUGIN)

# force debian/tmp installation for now until we ship
# more than one binary package, then this can be dropped...
override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	dbus-run-session -- xvfb-run dh_auto_test

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/gnome-builder/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/ \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/girepository-1.0/

override_dh_python3:
# https://bugs.debian.org/838342
	dh_python3 -X.*/plugins/meson_templates/resources/.*
